/*reglas conjunto de selectores
selectores es el valor o etiqueta que queremos afectar
declaraciones son las llaves 
propiedades parte que queremos afectar
valores de que forma queremos afectar nuestro selector*/

/* header{
    background-color: aquamarine;
}  */

body{
    font-family: 'Montserrat', sans-serif;
    margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6{
    font-family: 'Oswald', sans-serif;
}

h1{
    font-size: 40px;
    line-height: 1.5;
    letter-spacing: -.2px; 
    color: white;
    margin: 0;
    /* margin: 100px 500px 170px 30px; */
    /* text-transform: capitalize; */
    /* text-decoration: aqua; */
}
h1 strong{
    color: #026fff;
}

h2{
    color: #026fff;
    text-transform: uppercase;
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    font-size: 24px;
    margin-bottom: 40px;
}

.hero{
    height: 300px;
   /*  background-image: url('../images/hero.jpg'); */
    background-color: #1b2127;
  /*   background-size: 500px  300px;
    background-repeat: no-repeat;
    background-position-x: right; */
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.hero-image{
    object-fit: cover;
}
.portfolio{
      background: #fafafa;
      padding: 20px;
}
.project{
/*     border-top: 10px solid gold;
    border-right: 10px solid gold;
    border-left: 10px solid gold;
    border-bottom: 10px solid gold; */
/*     border-color: red;
    border-width: 15px;
    border-style: solid; */
    border: 1px solid gray;
    border-radius: 10px;
    /* margin: 10px; */
    margin-bottom: 15px;
    padding: 20px;
    background: white;
 /*    width: 500px;
    height: 500px; */
    /* box-sizing: border-box; */
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.project-course,
.projetc-date,
.project-url{
    margin: 10px 0;
}
.project-description{
    font-size: 20px;
}

.project-title{
    font-size: 30px;
    margin-bottom: 10px;

}
.project-details {
       width: 500px;
    }
    .project-imageContainer{
        width: 500px;
    }

ol,ul{
    margin: 0;
    padding: 0;
    list-style: none;
}
                       
figure{
    margin: 0;
}

.header{
    background-color: #1b2127;
    color: white;
    display: flex;
    height: 70px;
    align-items: center;
    justify-content: space-between;
}

.menu{
    height: inherit;
}

.header ol{
    display: flex;
    height: inherit;
}

.header ol li{
    height: inherit;
}

.header a{
    color: white;
    text-decoration: none;
    display: flex;
    align-items: center;
    height: inherit;
    padding: 0 10px;
}


/* .flexbox{
    display: flex;
    flex-wrap: wrap;
}

.box{
    width: 20px;
    height: 20px;
    border: 1px solid red;

    flex-shrink: 0;
}
 */

 .footer{
     color: white;
     background-color: #1b2127;
     display: flex;
     align-items: center;
     justify-content: space-between;
 }

 .footer img{
     vertical-align: middle;
 }

 .event-list-title{
    margin-left: 20px;
 }
 .event-list{
     display: flex;
     flex-wrap: wrap;
 }
 .event{
     margin: 10px;
     width: 480px;
     flex-shrink: 0;
     border-radius: 10px;
     overflow: hidden;
     background: #f4fbff;
 }

 .event img{
     width: 480px;
     height: 200px;
     object-fit: cover;
 }

 .event-detail{
    margin: 20px 40px;
    margin-top: -40px;
    background-color: white;
    position: relative;
    padding: 20px;
    text-align: center;
 }
 .event-description{
     text-align: left;
 }
 .event-url{
     color: #056fff;
     border: 1px solid;
     padding: 5px 20px;
     text-decoration: none;
     border-radius: 5px;
 }

 .contact{
     background-color: #056fff;
     color: white;
     height: 150px;
     display: flex;
     align-items: center;
     justify-content: space-between;
 }

 .social{
     
 }

 .social-link{
     display: inline-block;
     margin: 0 10px;
     width: 50px;
     height: 50px;
     background-size: 50px 50px;
 }

 .social-link.twitter{
     background-image: url('../images/twitter.svg');
 }
 .social-link.facebook{
     background-image: url('../images/facebook.svg');
 }
 .social-link.github{
     background-image: url('../images/github.svg');
 }
 .social-link.instagram{
     background-image: url('../images/instagram.svg');
 }

 .form-email input{
   border-color: gray;
   border-style: solid;
   border-radius: 5px;
   padding: 10px 20px 10px 25px;
   background-image: url('../images/envelope.svg');
   background-size: 15px 15px;
   background-repeat: no-repeat;
   background-position-y: center;
   background-position-x: 5px;
 }

 .form-email button{
     display: block;
     margin-top: 10px;
     background: transparent;
     color: white;
     padding: 10px 0;
     border-radius: 5px;
     width: 100px;
     /* margin: 10px auto; */
 }

 .form-email h3{
    font-family: 'Montserrat', sans-serif;
 }

 .container{
     /* border: 1px solid red; se utiliza para llevar 
     un mejor control al momento de ir acomodando */
     width: 1000px;
     margin: 0 auto;
     display: inherit;
     justify-content: inherit;
     align-items: inherit;
     height: inherit;
     flex-wrap: inherit;
 }
